# View Receipt - Cancel UI Flow

## **Overview**

Provide employees with the option to Cancel a Receipt for a specific receipt number.

## Workflow Details

Route -[ ![](https://cdn.jsdelivr.net/npm/@egovernments/digit-ui-css/img/browser-icon.png)mSeva](https://qa.digit.org/digit-ui/employee/receipts/details/PT/PT%2F107%2F2021-22%2F226438)

![](/files/-MgiGgToEHd-Xh_tTWdF)

## **View Receipt**

The search page displays the receipts. Click on the specific receipt number navigates the user to view the receipt details.

View receipt details are available here <https://github.com/egovernments/digit-ui-internals/blob/main/packages/modules/receipts/src/pages/ReceiptDetails.js>

## **Technical Implementation**&#x20;

The initial MDMS call is made on page load. CancelReceiptReason MDMS is used to display multiple reasons for cancelling.

```
     moduleDetails: [
        {
          moduleName: "common-masters",
          masterDetails: [
            {
              name: "CancelReceiptReason"
            }
          ]
        }
      ]
```

## **Cancel Receipt**

Action modal - This appears with the click of Cancel Receipt.\
The cancel receipt action is shown only for the following state of receipt.

`Receipt?.paymentStatus !== "CANCELLED" && Receipt?.paymentStatus !== "DEPOSITED" && (Receipt?.instrumentStatus == "APPROVED" || Receipt?.instrumentStatus == "REMITTED"`

![](/files/-MgiGgTrt3kaiMwGWrBo)

**Data fetch, load and render**

Once the Receipt is searched using `collection-services/payments/{selectedbusinessService}/_search` API, the user can cancel the receipt using `/collection-services/payments/{selectedbusinessService}/_workflow` API

**Acknowledgement screen**\
It gets shown once the cancel receipt is clicked.\
File details - <https://github.com/egovernments/digit-ui-internals/blob/main/packages/modules/receipts/src/pages/ReceiptAcknowledgement.js>

## **Role Action Mapping**

| API                                          | Roles   | Action ID |
| -------------------------------------------- | ------- | --------- |
| `egov-mdms-service/v1/_search`               | `CR_PT` | `954`     |
| `collection-services/payments/PT/_search`    | `CR_PT` | `2029`    |
| `/collection-services/payments/PT/_workflow` | `CR_PT` | `2028`    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/mcs-service-configuration/receipt-cancellation-ui-flow/view-receipt-cancel-ui-flow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
